import { StatusMap } from './StatusMapTypes';
import { TaskDef, Execution, ExecutionTask } from './../types';
import { TaskDefExecutionContext, WorkflowDefExecutionContext } from '../../../../../../src/types/WorkflowExecution';
export declare const relatedNamesToTaskDef: (names: string[], executionTasks: ExecutionTask[], parentTaskReferenceName: string) => {};
export declare const executionTasksToStatusMap: (executionTasks: ExecutionTask[]) => StatusMap;
export declare const taskStatusUpdater: (tasks: TaskDef[] | undefined, statusMap: StatusMap, expandDynamic: string[]) => TaskDefExecutionContext[];
export declare const executionToWorkflowDef: (execution: Execution, expandDynamic?: string[]) => [WorkflowDefExecutionContext, StatusMap];
