export declare const colorOverrides: {
    failure: string;
    failureLight: string;
    failureDark: string;
    brand: string;
    bgBrand: string;
    bgBrandLight: string;
    bgBrandDark: string;
    brandXLight: string;
    brandXXLight: string;
    brand00: string;
    brand01: string;
    brand02: string;
    brand03: string;
    brand04: string;
    brand05: string;
    brand06: string;
    brand07: string;
    brand08: string;
    brand09: string;
    brand10: string;
    brand11: string;
    brand12: string;
    brand13: string;
    brand14: string;
    black: "#050505";
    blackLight: "rgba(5,5,5,0.7)";
    blackXLight: "rgba(5,5,5,0.4)";
    blackXXLight: "rgba(5,5,5,0.1)";
    blue00: "#00101f";
    blue01: "#05192b";
    blue02: "#092743";
    blue03: "#0d365c";
    blue04: "#12487a";
    blue05: "#165b99";
    blue06: "#1b6fb9";
    blue07: "#1f83db";
    blue08: "#5995e1";
    blue09: "#7ea7e7";
    blue10: "#9dbaec";
    blue11: "#bacdf2";
    blue12: "#d2def6";
    blue13: "#eaf0fb";
    blue14: "#f7fafd";
    blue15: "#1976D2";
    blueXLight: "rgba(31,131,219,0.4)";
    blueXXLight: "rgba(31,131,219,0.1)";
    cyan00: "#001b1e";
    cyan01: "#042529";
    cyan02: "#08373d";
    cyan03: "#0f4a52";
    cyan04: "#17616c";
    cyan05: "#207986";
    cyan06: "#2991a2";
    cyan07: "#32abbe";
    cyan08: "#5fb8c8";
    cyan09: "#80c5d2";
    cyan10: "#9ed2dc";
    cyan11: "#badfe6";
    cyan12: "#d2eaef";
    cyan13: "#eaf5f8";
    cyan14: "#f7fcfd";
    cyanLight: "rgba(50,171,190,0.7)";
    cyanXLight: "rgba(50,171,190,0.4)";
    cyanXXLight: "rgba(50,171,190,0.1)";
    grape00: "#18001f";
    grape01: "#200b2a";
    grape02: "#33143f";
    grape03: "#481d56";
    grape04: "#602871";
    grape05: "#7a338d";
    grape06: "#943eab";
    grape07: "#b04ac9";
    grape08: "#be68d2";
    grape09: "#cb84da";
    grape10: "#d89fe3";
    grape11: "#e4baeb";
    grape12: "#edd2f2";
    grape13: "#f7e9f9";
    grape14: "#fcf7fd";
    grapeLight: "rgba(176,74,201,0.7)";
    grapeXLight: "rgba(176,74,201,0.4)";
    grapeXXLight: "rgba(176,74,201,0.1)";
    gray00: "#0f0f0f";
    gray01: "#181818";
    gray02: "#242424";
    gray03: "#323232";
    gray04: "#424242";
    gray05: "#535353";
    gray06: "#646464";
    gray07: "#767676";
    gray08: "#8a8a8a";
    gray09: "#9e9e9e";
    gray10: "#b3b3b3";
    gray11: "#c8c8c8";
    gray12: "#dbdbdb";
    gray13: "#efefef";
    gray14: "#f3f3f3";
    grayTableBackground: "#111111";
    grayLight: "rgba(118,118,118,0.7)";
    backgroundLeftTop: "ghostwhite";
    grayXLight: "rgba(118,118,118,0.4)";
    grayXXLight: "rgba(118,118,118,0.1)";
    lightShadesGray: "#aaa";
    green00: "#121e00";
    green01: "#192a07";
    green02: "#28400f";
    green03: "#385714";
    green04: "#4c731a";
    green05: "#61911f";
    green06: "#76af25";
    green07: "#8ccf2a";
    green08: "#a1d753";
    green09: "#b4de74";
    green10: "#c6e593";
    green11: "#d7edb2";
    green12: "#e5f3cd";
    green13: "#f3f9e8";
    green14: "#fbfdf7";
    greenLight: "rgba(140,207,42,0.7)";
    greenXLight: "rgba(140,207,42,0.4)";
    greenXXLight: "rgba(140,207,42,0.1)";
    indigo00: "#00071f";
    indigo01: "#07122c";
    indigo02: "#0f1e44";
    indigo03: "#192b5e";
    indigo04: "#24397e";
    indigo05: "#30499f";
    indigo06: "#3c59c1";
    indigo07: "#4969e4";
    indigo08: "#6f7ee9";
    indigo09: "#8e94ed";
    indigo10: "#a9abf1";
    indigo11: "#c2c2f5";
    indigo12: "#d7d7f8";
    indigo13: "#ebedfb";
    indigo14: "#f7f9fd";
    indigoLight: "rgba(73,105,228,0.7)";
    indigoXLight: "rgba(73,105,228,0.4)";
    indigoXXLight: "rgba(73,105,228,0.1)";
    lime00: "#001f06";
    lime01: "#05290f";
    lime02: "#0c3c19";
    lime03: "#145124";
    lime04: "#1f6930";
    lime05: "#2a833c";
    lime06: "#359e4a";
    lime07: "#41b957";
    lime08: "#65c470";
    lime09: "#84d08a";
    lime10: "#a0dba3";
    lime11: "#bbe5bd";
    lime12: "#d2efd4";
    lime13: "#e9f8eb";
    lime14: "#f6fdf8";
    limeLight: "rgba(65,185,87,0.7)";
    limeXLight: "rgba(65,185,87,0.4)";
    limeXXLight: "rgba(65,185,87,0.1)";
    orange00: "#1e0c00";
    orange01: "#2b1505";
    orange02: "#46210d";
    orange03: "#622e10";
    orange04: "#853d12";
    orange05: "#a94d14";
    orange06: "#cf5d14";
    orange07: "#f66e13";
    orange08: "#fd853f";
    orange09: "#ff9c62";
    orange10: "#ffb284";
    orange11: "#ffc8a7";
    orange12: "#ffdbc5";
    orange13: "#ffeee5";
    orange14: "#fdf9f7";
    orangeLight: "rgba(246,110,19,0.7)";
    orangeXLight: "rgba(246,110,19,0.4)";
    orangeXXLight: "rgba(246,110,19,0.1)";
    pear00: "#1e1d00";
    pear01: "#2a2a07";
    pear02: "#42410e";
    pear03: "#5d5a12";
    pear04: "#7c7815";
    pear05: "#9d9718";
    pear06: "#bfb71b";
    pear07: "#e3d91c";
    pear08: "#eade4f";
    pear09: "#f0e472";
    pear10: "#f6e993";
    pear11: "#f9efb2";
    pear12: "#fcf4cd";
    pear13: "#fdf9e8";
    pear14: "#fdfcf7";
    pearLight: "rgba(227,217,28,0.7)";
    pearXLight: "rgba(227,217,28,0.4)";
    pearXXLight: "rgba(227,217,28,0.1)";
    pink00: "#1e000a";
    pink01: "#280a14";
    pink02: "#3f1221";
    pink03: "#58192f";
    pink04: "#75223f";
    pink05: "#942b50";
    pink06: "#b53461";
    pink07: "#d63d73";
    pink08: "#e06187";
    pink09: "#e87f9c";
    pink10: "#f09cb1";
    pink11: "#f5b8c6";
    pink12: "#f9d1da";
    pink13: "#fce9ee";
    pink14: "#fdf7f9";
    pinkLight: "rgba(214,61,115,0.7)";
    pinkXLight: "rgba(214,61,115,0.4)";
    pinkXXLight: "rgba(214,61,115,0.1)";
    red00: "#1e0002";
    red01: "#2a0805";
    red02: "#420e0b";
    red03: "#5d110f";
    red04: "#7d1311";
    red05: "#9e1313";
    red06: "#c11014";
    red07: "#e50914";
    red08: "#f04c38";
    red09: "#f9715a";
    red10: "#ff927d";
    red11: "#ffb2a2";
    red12: "#ffcdc3";
    red13: "#ffe8e4";
    red14: "#fdf7f8";
    redLight: "rgba(229,9,20,0.7)";
    redXLight: "rgba(229,9,20,0.4)";
    redXXLight: "rgba(229,9,20,0.1)";
    violet00: "#08001e";
    violet01: "#110b2b";
    violet02: "#1d1643";
    violet03: "#2a1f5d";
    violet04: "#3b297c";
    violet05: "#4c349d";
    violet06: "#5e3fbf";
    violet07: "#714be2";
    violet08: "#8c66e7";
    violet09: "#a481ec";
    violet10: "#ba9cf1";
    violet11: "#ceb8f5";
    violet12: "#dfd0f8";
    violet13: "#f0e9fb";
    violet14: "#f9f7fd";
    violetLight: "rgba(113,75,226,0.7)";
    violetXLight: "rgba(113,75,226,0.4)";
    violetXXLight: "rgba(113,75,226,0.1)";
    white: "#FFFFFF";
    whiteLight: "rgba(255,255,255,0.7)";
    whiteXLight: "rgba(255,255,255,0.4)";
    whiteXXLight: "rgba(255,255,255,0.1)";
    yellow00: "#1e1400";
    yellow01: "#2c1e06";
    yellow02: "#47300d";
    yellow03: "#64430f";
    yellow04: "#875a11";
    yellow05: "#ac7210";
    yellow06: "#d38a0c";
    yellow07: "#fba404";
    yellow08: "#ffb141";
    yellow09: "#ffbf66";
    yellow10: "#ffcd89";
    yellow11: "#ffdbaa";
    yellow12: "#ffe7c8";
    yellow13: "#fff4e6";
    yellow14: "#fdfbf7";
    yellowLight: "rgba(251,164,4,0.7)";
    yellowXLight: "rgba(251,164,4,0.4)";
    yellowXXLight: "rgba(251,164,4,0.1)";
    primaryGreen: "#40BA56";
    successTag: "#9FDCAA";
    progressTag: "#8DE0F9";
    errorTag: "#FBB4C6";
    warningTag: "#FCD181";
    otherTag: "#C8ABFF";
    blackish: "#1f1f1f";
    gray15: "#a5a5a5";
    roleAdmin: "#9FDCAA";
    roleReadOnly: "#DDDDDD";
    roleUser: "#C8ABFF";
    roleWfManager: "#8DE0F9";
    roleMetaManager: "#FCD181";
    sidebarBlacky: "#060606";
    sidebarGreyText: "#858585";
    sidebarGreyDark: "#161616";
    sidebarFaintGrey: "#DDDDDD";
    sidebarGrey: "#494949";
    sidebarBarelyPastWhite: "#F3F3F3";
    sidebarVersion: "#9C9C9C";
    sidebarUIVersion: "#494949";
    lightPurple: "#c8abff";
    greyBorder: "#DDDDDD";
    greyText: "#858585";
    greyText2: "#AFAFAF";
    seGrey2: "#AFAFAF";
    defaultModalBackdropColor: "#AFAFAF";
    tabsColor: "#494949";
    tabActiveColor: "#060606";
    tabBackground: "#DDDDDD";
    tabsContainerBg: "#F3F3F3";
    modalBackdropColor: "#090a11cc";
    colorfullGradient: "linear-gradient(0.40turn,rgba(28, 177, 255,0.4), rgba(25, 118, 210,0.4), rgba(145, 87, 255,0.4), rgba(255, 106, 128,0.4));";
    blueLight: "#0D94DB";
    blueLightMode: "#1976D2";
    darkBlueLightMode: "#1976D2";
    lightBlueHoverBg: "#CAE0F5";
    blueBackground: "#1CB1FF";
    greyBg: "#252525";
    primaryHoverBoxShadow: "#04386C";
    secondaryHoverBoxShadow: "#095096";
    tertiaryHoverBoxShadow: "#4D4D4D";
    orkesBrandN200: "#D7DCDD";
    orkesBrandS600: "#189ED3";
    secondaryBlack: "#060606";
    errorRed: "#D6423B";
    lightGrey: "#ECECEC";
    greenBackground: "#2e7d32";
    lightGreyBackground: "#EFF0F0";
    cyan: "#00FFFF";
};
