import { TaskDef, TaskType } from './common';
import { ExecutedData } from './Execution';
import { WorkflowDef } from './WorkflowDef';
export interface TaskDefExecutionContext extends TaskDef {
    executionData: ExecutedData;
    forkTasks?: Array<TaskDefExecutionContext[]>;
    decisionCases?: Record<string, TaskDefExecutionContext[]>;
    loopOver?: TaskDefExecutionContext[];
    type: TaskType;
}
export interface WorkflowDefExecutionContext extends WorkflowDef {
    tasks: TaskDefExecutionContext[];
}
