import { NodeData } from 'reaflow';
import { MouseEvent } from 'react';
interface WorkflowVisualizerProps {
    data: Record<string, unknown>;
    executionMode?: boolean;
    onClick?: (e: MouseEvent<HTMLElement>, data: NodeData) => void;
    zoom?: number;
    zoomable?: boolean;
    pannable?: boolean;
    maxHeightOverride?: boolean;
    maxWidthOverride?: boolean;
    subWorkflowFetcher?: () => Promise<any>;
}
declare function WorkflowVisualizer({ data, executionMode, onClick, zoom, zoomable, pannable, maxHeightOverride, maxWidthOverride, subWorkflowFetcher, }: WorkflowVisualizerProps): import("react/jsx-runtime").JSX.Element;
export default WorkflowVisualizer;
