import { EdgeData, ElkRoot, NodeData, PortData } from 'reaflow';
import { MouseEvent } from 'react';
interface CustomNodeActions {
    toggleNodeMenu: (node: NodeData) => void;
}
interface WorkflowVisualizerNodesAndEdgesProps {
    nodes: NodeData[];
    edges: EdgeData[];
    onClick?: (e: MouseEvent<HTMLElement>, data: NodeData) => void;
    handleLayoutChange: (value: ElkRoot) => void;
    onToggleTaskMenu?: (event: MouseEvent<HTMLElement>, port: PortData) => void;
    onDeleteBranch?: (__event: any, { port, node, }: {
        port: PortData;
        node: NodeData;
    }) => void;
    isInconsistent?: boolean;
    customNodeActions?: CustomNodeActions;
    selectEdge?: ({ edge }: {
        edge: EdgeData;
    }) => void;
    CustomNod?: React.ReactElement;
}
declare function WorkflowVisualizerNodesAndEdges({ nodes, edges, onClick, handleLayoutChange, onToggleTaskMenu, onDeleteBranch, isInconsistent, customNodeActions, selectEdge, CustomNod, }: WorkflowVisualizerNodesAndEdgesProps): import("react/jsx-runtime").JSX.Element;
export default WorkflowVisualizerNodesAndEdges;
